{% load static wagtailcore_tags wagtailimages_tags wagtailmetadata_tags %}
<!doctype html>
<html lang="cs">
<head>
  {% if request.in_preview_panel %}
    <base target="_blank">
  {% endif %}
  <!-- Meta -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width" />
  {% meta_tags %}
  {% if settings.MAJAK_ENV == "test" %}
    <meta name="robots" content="noindex, nofollow">
  {% endif %}

  <!-- Favicon -->
  {% include "shared/favicon_snippet.html" %}

  <!-- Bootstrap CSS -->

  <!-- Styles -->
  <link rel="stylesheet" href="{{ styleguide_url }}/css/styles.css">
  <link href="{% static "shared/vendor/fancybox/jquery.fancybox.min.css" %}" rel="stylesheet">
  <link rel="stylesheet" href="{% static "shared/vendor/vue-formulate-2.5.3/css/snow.min.css" %}">
  <link rel="stylesheet" href="{% static "shared/css/helpers.css" %}">

  {% block styles %}{% endblock %}

  <style type="text/css">
    /* All anchor scrolling will be butter smooth. */
    html {
      scroll-behavior: smooth !important;
    }

    .inline-block {
      display: inline-block;
    }

    .no-underline,
    .no-underline:hover {
      text-decoration: none;
    }
  </style>

  {% if page.root_page.matomo_id %}
    {% include "shared/matomo_snippet.html" with matomo_id=page.root_page.matomo_id %}
  {% endif %}
</head>

<body>

  <nav class="navbar __js-root py-lg-6">
    <ui-app inline-template>
      <ui-navbar inline-template>
      <div>
        <div class="container container--wide navbar__content" :class="{'navbar__content--initialized': true}">

          <div class="navbar__brand my-4 flex items-center lg:block lg:pr-8 lg:my-0">
            <a href="/">
              {% if page.root_page.custom_logo %}
                {% image page.root_page.custom_logo width-512 as logo %}
                <img
                  src="{{ logo.url }}"
                  class="w-10 lg:w-full lg:border-r lg:border-grey-300 lg:pr-8"
                  alt="logo"
                />
              {% else %}
                <img
                  src="{% static "styleguide234/assets/images/logo-round-white.svg" %}"
                  class="w-10 lg:w-full lg:border-r lg:border-grey-300 lg:pr-8"
                  alt="logo"
                />
              {% endif %}
            </a>
            <span class="lg:hidden pl-4 font-bold text-xl">{{ page.root_page.title }}</span>
          </div>

          <div class="navbar__menutoggle my-4 flex justify-end lg:hidden">
            <a href="#" @click="show = !show" class="no-underline hover:no-underline">
              <i class="ico--menu text-3xl"></i>
            </a>
          </div>

          <div v-if="show || isLgScreenSize" class="navbar__external navbar__section navbar__section--expandable container-padding--zero lg:container-padding--auto lg:flex lg:space-x-8 lg:pb-2">

            <div class="text-grey-200 text-sm lg:space-x-8 leading-loose lg:leading-normal">
              <a href="/">
                  <strong class="text-white">{{ page.root_page.title }}</strong>
              </a>
              {% if page.root_page.show_pirati_cz_link %}
                <a href="https://www.pirati.cz" class="contact-line icon-link content-block--nostyle block lg:inline-block" target="_blank" rel="noopener noreferrer">
                  <i class="ico--home"></i>
                  <span>pirati.cz</span>
                </a>
              {% endif %}

              {% if page.root_page.show_eshop_link %}
                <a href="https://piratskyobchod.cz" class="contact-line icon-link content-block--nostyle block lg:inline-block" target="_blank" rel="noopener noreferrer">
                  <i class="ico--cart"></i>
                  <span>piratskyobchod.cz</span>
                </a>
              {% endif %}

              {% if page.root_page.show_magazine_link %}
                <a href="http://www.piratskelisty.cz" class="contact-line icon-link content-block--nostyle block lg:inline-block" target="_blank" rel="noopener noreferrer">
                  <i class="ico--newspaper"></i>
                  <span>Pirátské listy</span>
                </a>
              {% endif %}

            </div>

            <div class="social-icon-group space-x-2 text-grey-200 py-4 lg:py-0">
              {% include "shared/social_icons_snippet.html" %}
            </div>

          </div>

          <div v-if="show || isLgScreenSize" class="navbar__main navbar__section navbar__section--expandable container-padding--zero lg:container-padding--auto">
            <ul class="navbar-menu text-white">
                {% for block in page.root_page.menu %}
                    {% include_block block %}
                {% endfor %}
            </ul>
          </div>
            {% if page.root_page.donation_page or page.root_page.contact_newcomers %}
                    <div v-if="show || isLgScreenSize"
                         class="navbar__actions navbar__section navbar__section--expandable container-padding--zero lg:container-padding--auto self-start flex flex-col sm:flex-row lg:flex-col sm:space-x-4 space-y-2 sm:space-y-0 lg:space-y-2 xl:flex-row xl:space-x-2 xl:space-y-0 mb-5">
                         {% if page.root_page.donation_page %}
                            <a href="{{ page.root_page.donation_page }}" rel="noopener noreferrer" target="_blank"
                               class="btn btn--icon btn--cyan-200 btn--hoveractive btn--condensed btn--fullwidth md:btn--autowidth lg:text-sm xl:text-base">
                                <div class="btn__body-wrap">
                                    <div class="btn__body">Darovat</div>
                                    <div class="btn__icon">
                                        <i class="ico--donation-full"></i>
                                    </div>
                                </div>
                            </a>
                        {% endif %}
                        {% if page.root_page.contact_newcomers %}
                            <a href="{{ page.root_page.contact_newcomers }}" rel="noopener noreferrer" target="_blank"
                               class="btn btn--icon btn--blue-300 btn--hoveractive btn--condensed btn--fullwidth md:btn--autowidth lg:text-sm xl:text-base">
                                <div class="btn__body-wrap">
                                    <div class="btn__body ">Nalodit se</div>
                                    <div class="btn__icon ">
                                        <i class="ico--anchor"></i>
                                    </div>
                                </div>
                            </a>
                        {% endif %}
                    </div>
            {% endif %}
        </div>
      </div>
      </ui-navbar>
    </ui-app>
  </nav>

  <div class="__js-root">
    <ui-app inline-template>

      <ui-view-provider :initial="{regions: false, calendar: false}" v-slot="{ isCurrentView, toggleView }">
        <nav class="subnav py-2">
          <div class="container container--wide">
            <div class="flex">
              <button
                class="btn btn--condensed btn--grey-500 btn--hoveractive btn--to-white text-sm mr-2  px-0"
                :class="{'btn--activated': isCurrentView('regions')}"
                @click="toggleView('regions')"
              >
                <div class="btn__body py-2">
                  <span>{{ page.root_page.region_map_button_text }}</span>
                  <i class="ico--chevron-down ml-4"></i>
                </div>
              </button>

              {% if page.root_page.has_calendar %}
                <button
                  class="btn btn--inline-icon btn--condensed btn--hoveractive btn--grey-500 btn--to-orange-300 text-sm px-0"
                  :class="{'btn--activated': isCurrentView('calendar')}"
                  @click="toggleView('calendar')"
                >
                  <div class="btn__body py-2">
                    <i class="btn__inline-icon ico--calendar mr-0 md:mr-2 text-orange-300"></i>
                    <span class="hidden md:block">
                      {{ page.root_page.calendar_button_text|default_if_none:"Kalendář" }}
                    </span>
                  </div>
                </button>

                {% with page.root_page.calendar.current_events.0 as first_event %}
                  {% if first_event %}
                    <span class="btn text-sm max-w-full hidden lg:block" @click="toggleView('calendar')">
                      <div class="btn__body bg-grey-800 text-grey-200 flex divide-x">
                        <span class="pr-4">{{ first_event.summary }}</span>
                        <span class="pl-4">{{ first_event.start|date:"l j. E"|capfirst }}</span>
                      </div>
                    </span>
                  {% endif %}
                {% endwith %}
              {% endif %}

              {% if page.root_page.facebook %}
                <a href="{{ page.root_page.facebook }}" target="_blank" rel="noopener noreferrer" class="btn btn--inline-icon btn--condensed btn--hoveractive btn--grey-500 btn--to-brands-facebook text-sm ml-2  px-0">
                  <div class="btn__body py-2">
                    <i class="btn__inline-icon ico--facebook mr-0 md:mr-2 text-brands-facebook"></i>
                    <span class="hidden md:block">{{ page.root_page }}</span>
                  </div>
                </a>
              {% endif %}

            </div>
          </div>
        </nav>

        <aside class="subnav-aside">
          <div class="subnav-aside__item" :class="{'subnav-aside__item--visible': isCurrentView('regions')}">
            <ui-region-map class="container container--default" />
          </div>
          <div class="subnav-aside__item" :class="{'subnav-aside__item--visible': isCurrentView('calendar')}">
            <div class="container container--default">
              {% include "shared/calendar_current_events_snippet.html" with calendar=page.root_page.calendar %}
            </div>
          </div>
        </aside>
      </ui-view-provider>
    </ui-app>
  </div>

  {% block subheader %}{% endblock %}

  {% block container %}
    <main class="container {% block container_class %}container--default{% endblock %} {% block container_spacing %}py-8 lg:py-16{% endblock %}">
      {% block content %}{% endblock %}
    </main>
  {% endblock%}

  <footer class="footer bg-grey-700 text-white __js-root">
    <ui-app inline-template>

      <div>
        <div class="footer__main py-4 lg:py-16 container container--default pt-5">

          <section class="footer__brand">
            <img src="{% static "shared/img/logo-full-white.svg" %}" alt="Pirátská strana" class="w-32 md:w-40 pb-6" />
            <p class="para hidden md:block md:mb-4 lg:mb-0 text-grey-200">
              Piráti, {% now "Y" %}. <a href="https://wiki.pirati.cz/rules/prah#licence" target="_blank" class="underline">CC-BY-SA 4.0</a>.<br>
              Všechna práva vyhlazena. Sdílejte a nechte ostatní sdílet za stejných podmínek.<br>
              Zadavatel | zpracovatel: Česká pirátská strana
            </p>
          </section>

          <section class="footer__main-links bg-grey-700 text-white lg:grid grid-cols-3 gap-4">
            <div class="pt-8 pb-4 lg:py-0">
              <ui-footer-collapsible label="Připoj se">
                <ul class="mt-6 space-y-2 text-grey-200">
                  <li><a href="{{ page.root_page.contact_newcomers|default:"https://nalodeni.pirati.cz" }}">Zájemci o členství</a></li>
                  {% if page.root_page.contact_page %}
                      <li><a href="{{ page.root_page.contact_page.url }}">Dej nám vědět</a></li>
                  {% endif %}
                  <li><a href="https://nalodeni.pirati.cz">Nalodění</a></li>
                </ul>
              </ui-footer-collapsible>
            </div>

            {% if page.root_page.people_page or page.root_page.articles_page %}
            <div class="py-4 lg:py-0 border-t border-grey-400 lg:border-t-0">
              <ui-footer-collapsible label="Makáme">
                <ul class="mt-6 space-y-2 text-grey-200">
                  {% if page.root_page.people_page %}
                    <li><a href="{{ page.root_page.people_page.url }}">{{ page.root_page.people_page }}</a></li>
                  {% endif %}
                  {% if page.root_page.articles_page %}
                    <li><a href="{{ page.root_page.articles_page.url }}">{{ page.root_page.articles_page }}</a></li>
                  {% endif %}
                </ul>
              </ui-footer-collapsible>
            </div>
          {% endif %}

            <div class="py-4 lg:py-0 border-t border-grey-400 lg:border-t-0">
              <ui-footer-collapsible label="Otevřenost">
                <ul class="mt-6 space-y-2 text-grey-200">
                  <li><a href="https://ucet.pirati.cz">Transparentní účet</a></li>
                  <li><a href="https://smlouvy.pirati.cz">Registr smluv</a></li>
                  <li><a href="https://wiki.pirati.cz/fo/otevrene_ucetnictvi">Otevřené účetnictví</a></li>
                </ul>
              </ui-footer-collapsible>
            </div>

            {% if page.root_page.footer_links %}
              {% include_block page.root_page.footer_links with container="py-4 lg:py-0 border-t border-grey-400 lg:border-t-0" %}
            {% endif %}
          </section>

          <section class="footer__social lg:text-right">
            <div class="mb-4">
              <div class="social-icon-group space-x-2 text-white pb-4">
                {% include "shared/social_icons_snippet.html" %}
              </div>
              <a href="mailto:{{ page.root_page.contact_email|default:"info@pirati.cz" }}" class="contact-line icon-link content-block--nostyle " ><i class="ico--envelope"></i><span>Dejte nám vědět</span></a>
            </div>

          {% if page.root_page.donation_page or page.root_page.contact_newcomers %}
            <div class="flex flex-col md:flex-row lg:flex-col lg:items-end space-y-2 md:space-y-0 md:space-x-2 lg:space-x-0 lg:space-y-2">
                {% if page.root_page.donation_page %}
                  <a href="{{ page.root_page.donation_page }}" rel="noopener noreferrer" target="_blank" class="btn btn--icon btn--cyan-200 btn--hoveractive text-lg btn--fullwidth sm:btn--autowidth px-0 mx-0">
                    <div class="btn__body-wrap">
                      <div class="btn__body ">Darovat</div>
                      <div class="btn__icon "><i class="ico--donation-full"></i></div>
                    </div>
                  </a>
                {% endif %}

                {% if page.root_page.contact_newcomers %}
                  <a href="{{ page.root_page.contact_newcomers }}" rel="noopener noreferrer" target="_blank" class="btn btn--icon btn--blue-300 btn--hoveractive text-lg btn--fullwidth sm:btn--autowidth mt-0 px-0 mx-0">
                    <div class="btn__body-wrap">
                      <div class="btn__body ">Nalodit se</div>
                      <div class="btn__icon "><i class="ico--anchor"></i></div>
                    </div>
                  </a>
                {% endif %}
            </div>
          {% endif %}

          </section>
        </div>

        {% if page.root_page.footer_person_list or page.root_page.footer_extra_content %}
          <section class="bg-black py-4 lg:py-12">
            <div class="container container--default">
                <div class="grid gap-4 grid-cols-1 md:grid-cols-2 xl:grid-cols-3">
                  {% if page.root_page.footer_person_list %}
                    {% for person_block in page.root_page.footer_person_list %}
                        {% include "shared/person_badge_snippet.html" with person_page=person_block.value.person title=person_block.value.position %}
                    {% endfor %}
                  {% endif %}
                  {% if page.root_page.footer_extra_content %}
                      {{ page.root_page.footer_extra_content|richtext }}
                  {% endif %}
                </div>
            </div>
          </section>
        {% endif %}
      </div>
    </ui-app>
  </footer>

  <script src="{% static "styleguide291/assets/js/vue.2.6.11.js" %}"></script>
  <script src="{{ styleguide_url }}/js/main.bundle.js"></script>
  <script src="{% static "shared/vendor/jquery/jquery-3.4.1.min.js" %}"></script>
  <script src="{% static "shared/vendor/lazysizes/lazysizes.min.js" %}"></script>
  <script src="{% static "shared/vendor/fancybox/jquery.fancybox.min.js" %}"></script>
  <script src="{% static "shared/vendor/vue-formulate-2.5.3/js/formulate.min.js" %}"></script>
  <script src="{% static "shared/vendor/vue-formulate-i18n-1.16.0/js/cs.min.js" %}"></script>
  <script src="{% static "shared/js/vue-formulate-helper.js" %}"></script>

  {% include "maps_utils/includes/scripts.html" %}

  {% block scripts %}{% endblock %}
</body>
</html>
